#
# Makefile for UNIX (GNU/Linux)
#
# by Korbinian Strimmer and Arndt von Haeseler (1995-97)
# this file belongs to the PUZZLE version 3.1 distribution
#


# ANSI C compiler
CC = gcc -O

# ANSI math library
LIBS = -lm


# Compiling PUZZLE
all : puzzle move cleanup
puzzle : puzzle1.o puzzle2.o ml1.o ml2.o ml3.o model1.o model2.o util.o
	$(CC) -o $@ puzzle1.o puzzle2.o ml1.o ml2.o ml3.o model1.o model2.o util.o $(LIBS)
move :
	mv puzzle ../PROGRAM
cleanup :
	rm *.o


# Objects
puzzle1.o : puzzle1.c ml.h util.h puzzle.h
	$(CC) -c puzzle1.c
puzzle2.o : puzzle2.c ml.h util.h puzzle.h
	$(CC) -c puzzle2.c
ml1.o : ml1.c ml.h util.h
	$(CC) -c ml1.c
ml2.o : ml2.c ml.h util.h
	$(CC) -c ml2.c
ml3.o : ml3.c ml.h util.h
	$(CC) -c ml3.c
model1.o : model1.c ml.h util.h
	$(CC) -c model1.c
model2.o : model2.c ml.h util.h
	$(CC) -c model2.c
util.o : util.c util.h
	$(CC) -c util.c

